#pragma once
#include "MeetAlgo.h"

namespace DESpot
{
class SyncAlgo :public MeetAlgo
{
public:
	SyncAlgo(bool checkIntegrity = true);
	SyncAlgo(const Des* des1, const Des* des2, bool checkIntegrity = true);
	SyncAlgo(DesProject::DesIteratorPtr desIterator, bool checkIntegrity = true);
	virtual ~SyncAlgo(void);
public:
	virtual bool runAlgo();
	virtual void loadProductDes();
	virtual std::wstring composeOutputDesName();







private:
	static const std::wstring cSyncDesc;

};


}
























